package nova.monadic_sfx

import java.nio.ByteBuffer

import monix.eval.Task
import monix.reactive.Observable
import sttp.client.SttpBackend
import sttp.client.asynchttpclient.WebSocketHandler

trait AppTypes {
  type HttpBackend =
    SttpBackend[Task, Observable[ByteBuffer], WebSocketHandler]
}
object AppTypes extends AppTypes {}
